Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » Type » Monoid » generators(Monoid)
next | previous | forward | backward | up | index | toc

# generators(Monoid) -- list of generators

- Function: generators
- Usage:
    `generators M`
    `gens M`
- Inputs:
  - M, a monoid
- Optional inputs:
  - CoefficientRing => ..., default value null, unused option
- Outputs:
  - a list, of generators

## Description

    i1 : R = QQ[a..d];

    i2 : M = monoid R

    o2 = M

    o2 : GeneralOrderedMonoid

    i3 : gens M

    o3 = {a, b, c, d}

    o3 : List

## See also

- monoid -- make or retrieve a monoid

## Ways to use this method:

- generators(Monoid) -- list of generators

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/generators-doc.m2:114:0.